Package com.io7m.cedarbridge.runtime.api

# Interface CBSerializationContextOutputType

All Known Subinterfaces:
  `CBSerializationContextType`

All Known Implementing Classes:
  `CBSerializationContextBSSIO`, `CBSerializationContextSize`

public interface CBSerializationContextOutputType
The serialization context related to writing values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `flush()`
  Flush the underlying stream, ensuring any buffered output is written.
  `void`
  `writeByteArray(ByteBuffer x)`
  Write a byte array value.
  `void`
  `writeF16(double x)`
  Write a floating point 16-bit value
  `void`
  `writeF32(double x)`
  Write a floating point 32-bit value
  `void`
  `writeF64(double x)`
  Write a floating point 64-bit value
  `void`
  `writeS16(long x)`
  Write a signed 16-bit value
  `void`
  `writeS32(long x)`
  Write a signed 32-bit value
  `void`
  `writeS64(long x)`
  Write a signed 64-bit value
  `void`
  `writeS8(long x)`
  Write a signed 8-bit value
  `void`
  `writeSequenceLength(int size)`
  Write a sequence length
  `void`
  `writeU16(long x)`
  Write an unsigned 16-bit value
  `void`
  `writeU32(long x)`
  Write an unsigned 32-bit value
  `void`
  `writeU64(long x)`
  Write an unsigned 64-bit value
  `void`
  `writeU8(long x)`
  Write an unsigned 8-bit value
  `void`
  `writeUTF8(String x)`
  Write a UTF-8 string value.
  `void`
  `writeVariantIndex(int x)`
  Write a variant index

- ## Method Details

  - ### flush

    void flush() throws IOException
    Flush the underlying stream, ensuring any buffered output is written.
    Throws:
      `IOException` - On I/O errors

  - ### writeSequenceLength

    void writeSequenceLength(int size) throws IOException
    Write a sequence length
    Parameters:
      `size` - The size
    Throws:
      `IOException` - On I/O errors

  - ### writeVariantIndex

    void writeVariantIndex(int x) throws IOException
    Write a variant index
    Parameters:
      `x` - The index
    Throws:
      `IOException` - On I/O errors

  - ### writeS64

    void writeS64(long x) throws IOException
    Write a signed 64-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeS32

    void writeS32(long x) throws IOException
    Write a signed 32-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeS16

    void writeS16(long x) throws IOException
    Write a signed 16-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeS8

    void writeS8(long x) throws IOException
    Write a signed 8-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeU64

    void writeU64(long x) throws IOException
    Write an unsigned 64-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeU32

    void writeU32(long x) throws IOException
    Write an unsigned 32-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeU16

    void writeU16(long x) throws IOException
    Write an unsigned 16-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeU8

    void writeU8(long x) throws IOException
    Write an unsigned 8-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeF64

    void writeF64(double x) throws IOException
    Write a floating point 64-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeF32

    void writeF32(double x) throws IOException
    Write a floating point 32-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeF16

    void writeF16(double x) throws IOException
    Write a floating point 16-bit value
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeByteArray

    void writeByteArray(ByteBuffer x) throws IOException
    Write a byte array value.
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors

  - ### writeUTF8

    void writeUTF8(String x) throws IOException
    Write a UTF-8 string value.
    Parameters:
      `x` - The value
    Throws:
      `IOException` - On I/O errors